pkgname=lunaos-wallpapers
pkgver=6
pkgrel=2
pkgdesc='LunaOS Wallpapers'
arch=('any')
groups=('lunaos')
url="https://gitlab.com/LunaOS/iso/lunaos-wallpapers"
license=('GPL')

prepare() {
  cd "${srcdir}"
  git clone --depth=1 "${url}" "${pkgname}"
}


package() {
    install -d "${pkgdir}/usr/share/backgrounds/lunaos/"
    install -d "${pkgdir}/usr/share/backgrounds/lunaos/LakesideDeerComplete"
    install -d "${pkgdir}/usr/share/backgrounds/lunaos/Exodus"
    install -d "${pkgdir}/usr/share/wallpapers/Exodus"
    install -d "${pkgdir}/usr/share/wallpapers/Otto"
    install -d "${pkgdir}/usr/share/wallpapers/NordTriangles"
    cp -rf "${srcdir}/${pkgname}/LakesideDeerComplete" "${pkgdir}/usr/share/backgrounds/lunaos/"
    cp -rf "${srcdir}/${pkgname}/Exodus" "${pkgdir}/usr/share/backgrounds/lunaos/"
    cp -rf "${srcdir}/${pkgname}/wallpapers/" "${pkgdir}/usr/share/"
    install -Dm 644 "${srcdir}/${pkgname}/otto.png" "${pkgdir}/usr/share/backgrounds/lunaos/"
    install -Dm 644 "${srcdir}/${pkgname}/nord_triangles.png" "${pkgdir}/usr/share/backgrounds/lunaos/"
    install -Dm 644 "${srcdir}/${pkgname}/LakesideDeerComplete.xml" "${pkgdir}/usr/share/backgrounds/lunaos/"
    install -Dm 644 "${srcdir}/${pkgname}/Exodus.xml" "${pkgdir}/usr/share/backgrounds/lunaos/"
    install -Dm 644 "${srcdir}/${pkgname}/lunaos-backgrounds.xml" "${pkgdir}/usr/share/gnome-background-properties/lunaos-backgrounds.xml"
}
